#!/usr/bin/perl
# Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

# Modules search order is:
# 1) Modules from pre_migration in the current directory
# 2) Modules from shared_legacy in the current directory
# 3) Modules from the current directory
use lib '.';
use lib 'shared_legacy';
use lib 'pre_migration';

# Disable printing all log messages, so customer would see only the pre-migration report. 
# Do it before other modules are initialized, so all initialization logging messages are not printed.
use Logging;
BEGIN {
  Logging::setVerbosity(1);
}

use Encoding;
use PreMigration;

# Default Confixx source encoding is ISO-8859-1 (latin1).
# It is not correctly determined by Encoding module so we set it in explicit way.
Encoding::setDefaultEncoding('ISO-8859-1');

PreMigration::check();

